#!/bin/sh
#
# This script template is used by the Threads tool of the
# Razor tool suite.  It will be used as the header to the script
# which will populate a set of directories with files
# defined for a version of a Thread.  Note the the get_file() function
# must exist because the Threads program will append commands to
# obtain files using this command.
#
#############################################################
#
#
# get_file()
# Usage:  get_file(file, version, destination, is_binary, new_name)
#
# This function is REQUIRED because Razor will append commands
# which use it.  So, if you're going to change it, leave the name
# intact.
#
 
get_file()
#
# Usage: get_file <filename> <version> <dest directory> <is_binary> <new_name>
#
 
	{

	if [ ! -d "$3" ]
	then
		mkdir -p "$3"
	fi

	if [ "$5" = "" ]
	then
		$RAZOR_HOME/bin/razor -c get -f "$1" -g $RZ_GROUP -r $2 -d "$3" -o
	else
		BNAME_FILE=`basename "$1"`
		BNAME_DEST=`basename "$5"`

		$RAZOR_HOME/bin/razor -c get -f "$1" -g $RZ_GROUP -r $2 -d "$RZ_TMP" -o
		mv "$RZ_TMP/$BNAME_FILE" "$3/$BNAME_DEST"
	fi
 
 
	}
 
#############################################################
 

